# dpGLM Predicted values

Source: `R/src_summaries.R`
`predict.dpGLM.Rd`

Function returns the predicted (fitted) values of the outcome variable using the estimated posterior expectation of the linear covariate betas produced by the `hdpGLM` function

    # S3 method for dpGLM
    predict(object, new_data = NULL, ...)

## Arguments

object

  outcome of the function hdpLGM

new_data

  data frame with the values of the covariates that are going to be used to generate the predicted/fitted values. The posterior mean is used to create the predicted values

...

  `family` : a string with the family of the output variable: `gaussian` (default), `binomial`, etc...

## Value

It returns a data.frame with the fitted values for the outcome variable, which are produced using the estimated posterior expectation of the linear coefficients `beta`.